A subcomponent that creates the thead of the table

Example

        <thead aiTableHead [model]="model"></thead>

### Hierarchy

- TableHead
  - AITableHeadComponent

## Index

### Inputs

- model

### Constructors

- constructor

### Properties

- _checkboxHeaderLabel
- _filterTitle
- _sortAscendingLabel
- _sortDescendingLabel
- checkboxHeaderLabel
- deselectAll
- enableSingleSelect
- filterTitle
- i18n
- model
- scrollbarWidth
- selectAll
- selectAllCheckbox
- selectAllCheckboxSomeSelected
- showSelectionColumn
- size
- skeleton
- sort
- sortAscendingLabel
- sortDescendingLabel
- sortable
- stickyHeader
- ɵcmp
- ɵfac

### Methods

- getCheckboxHeaderLabel
- getFilterTitle
- getSortAscendingLabel
- getSortDescendingLabel
- ngAfterViewInit
- onSelectAllCheckboxChange

## Constructors

### constructor

- new AITableHeadComponent(i18n: I18n): AITableHeadComponent

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:78

  #### Parameters

  - ##### i18n: I18n

  #### Returns AITableHeadComponent

## Properties

### Protected _checkboxHeaderLabel

_checkboxHeaderLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:75

### Protected _filterTitle

_filterTitle: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:78

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:77

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:76

### checkboxHeaderLabel

checkboxHeaderLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:54

### deselectAll

deselectAll: EventEmitter<TableModel>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:73

Emits if all rows are deselected.

param

### enableSingleSelect

enableSingleSelect: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:40

### filterTitle

filterTitle: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:57

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:37

### model

@Input()
model: any

- Defined in packages/angular/src/table/head/table-head.component.ts:72

### scrollbarWidth

scrollbarWidth: number

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:74

### selectAll

selectAll: EventEmitter<TableModel>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:67

Emits if all rows are selected.

param

### selectAllCheckbox

selectAllCheckbox: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:42

### selectAllCheckboxSomeSelected

selectAllCheckboxSomeSelected: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:41

### showSelectionColumn

showSelectionColumn: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:39

### size

size: TableRowSize

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:53

Size of the table rows.

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:43

### sort

sort: EventEmitter<number>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:61

Emits an index of the column that wants to be sorted.

### sortAscendingLabel

sortAscendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:56

### sortDescendingLabel

sortDescendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:55

### sortable

sortable: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:49

Setting sortable to false will disable all headers including headers which are sortable. Is is possible to set the sortable state on the header item to disable/enable sorting for only some headers.

### stickyHeader

stickyHeader: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:44

### Static ɵcmp

ɵcmp: ɵɵComponentDefWithMeta<TableHead, "[ibmTableHead]", never, { checkboxHeaderLabel: "checkboxHeaderLabel"; enableSingleSelect: "enableSingleSelect"; filterTitle: "filterTitle"; model: "model"; selectAllCheckbox: "selectAllCheckbox"; selectAllCheckboxSomeSelected: "selectAllCheckboxSomeSelected"; showSelectionColumn: "showSelectionColumn"; size: "size"; skeleton: "skeleton"; sortAscendingLabel: "sortAscendingLabel"; sortDescendingLabel: "sortDescendingLabel"; sortable: "sortable"; stickyHeader: "stickyHeader" }, { deselectAll: "deselectAll"; selectAll: "selectAll"; sort: "sort" }, never, ["*"]>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:87

### Static ɵfac

ɵfac: ɵɵFactoryDef<TableHead, never>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:86

## Methods

### getCheckboxHeaderLabel

- getCheckboxHeaderLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:82

  #### Returns Observable<string>

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:85

  #### Returns Observable<string>

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:84

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:83

  #### Returns Observable<string>

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:80

  #### Returns void

### onSelectAllCheckboxChange

- onSelectAllCheckboxChange(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:81

  #### Returns void

Generated using TypeDoc